## sfwbar 1.0~beta13

=== meson_options.txt ===
option('alsa',type:'feature',value:'auto',description:'ALSA module')
option('bluez',type:'feature',value:'auto',description:'Bluez module')
option('bsdctl',type:'feature',value:'disabled',description:'BSD sysctl module')
option('idleinhibit',type:'feature',value:'auto',description:'Idle inhibit protocol support')
option('network',type:'feature',value:'auto',description:'Network module')
option('pulse',type:'feature',value:'auto',description:'Pulse Audio module')
option('mpd',type:'feature',value:'auto',description:'Music Player Daemon module')
option('xkb',type:'feature',value:'auto',description:'xkbcommon layout lookup')

=== packaging/freebsd/Makefile ===
PORTNAME=	sfwbar
DISTVERSIONPREFIX=	v
DISTVERSION=	1.0_beta12
PORTREVISION=	1
CATEGORIES=	x11 wayland

MAINTAINER=	tino.engel@mail.de
COMMENT=	Flexible taskbar application for wayland compositors
WWW=		https://github.com/LBCrion/sfwbar

LICENSE=	GPLv3
LICENSE_FILE=	${WRKSRC}/LICENSE

BUILD_DEPENDS=	wayland-protocols>0:graphics/wayland-protocols
LIB_DEPENDS=	libgtk-layer-shell.so:x11-toolkits/gtk-layer-shell \
		libwayland-client.so:graphics/wayland \
		libjson-c.so:devel/json-c

USES=		gnome meson pkgconfig
USE_GNOME=	cairo gdkpixbuf2 gtk30

USE_GITHUB=	yes
GH_ACCOUNT=	LBCrion

OPTIONS_DEFINE=		MPD NETWORK PULSEAUDIO XKB ALSA BSD IDLE
OPTIONS_DEFAULT=	MPD NETWORK PULSEAUDIO XKB ALSA BSD IDLE
OPTIONS_SUB=		yes

MPD_DESC=		Music player daemon control
MPD_LIB_DEPENDS=	libmpdclient.so:audio/libmpdclient
MPD_MESON_ENABLED=	mpd

NETWORK_DESC=		Network interface monitor support
NETWORK_MESON_ENABLED=	network

BSD_DESC=		Support for BSD sysctl interface
BSD_MESON_ENABLED=	bsdctl

IDLE_DESC=		Support for idle inhibit protocol
IDLE_MESON_ENABLED=	idleinhibit

PULSEAUDIO_DESC=	Pulse audio volume control
PULSEAUDIO_LIB_DEPENDS=	libpulse.so:audio/pulseaudio
PULSEAUDIO_MESON_ENABLED=	pulse

XKB_DESC=		XkbCommon keyboard layout conversion support
XKB_LIB_DEPENDS=	libxkbregistry.so:x11/libxkbcommon
XKB_MESON_ENABLED=	xkb

ALSA_DESC=		ALSA audio volume control
ALSA_LIB_DEPENDS=	libasound.so:audio/alsa-lib
ALSA_MESON_ENABLED=	alsa

SUB_FILES=		pkg-message

.include <bsd.port.mk>

=== debian/changelog ===
sfwbar (1.0~beta13-1) unstable; urgency=medium

  * Initial upload (Closes: #1056133)

 -- Birger Schacht <birger@debian.org>  Wed, 30 Aug 2023 21:43:33 +0200

=== debian/control ===
Source: sfwbar
Section: x11
Priority: optional
Maintainer: Birger Schacht <birger@debian.org>
Build-Depends: debhelper-compat (= 13),
               meson,
               ninja-build,
               libgtk-3-dev,
               libjson-c-dev,
               libgtk-layer-shell-dev,
               libpulse-dev,
               libmpdclient-dev,
               libxkbregistry-dev,
               libasound-dev,
               python3-docutils
Standards-Version: 4.6.2
Homepage: https://github.com/LBCrion/sfwbar
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/labwc-team/sfwbar.git
Vcs-Browser: https://salsa.debian.org/labwc-team/sfwbar

Package: sfwbar
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: flexible taskbar application for wayland compositors
 SFWBar (S* Floating Window Bar) is a flexible taskbar application for wayland
 compositors, designed with a stacking layout in mind. Originally developed for
 Sway, SFWBar will work with any wayland compositor supporting layer shell
 protocol, the taskbar and window switcher functionality shall work with any
 compositor supportinig foreign toplevel protocol, but the pager, and window
 placement functionality require sway (or at least i3 IPC support).

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	for file in doc/*.rst ; do \
		rst2man $$file $${file%.rst}.1 ; \
	done

override_dh_install:
	rm -f debian/sfwbar/usr/share/sfwbar/icons/weather/LICENSE
	dh_install
